Could psvimgtools Make FWs Above 3.60 Hackable?

Discussion in 'PS Vita - Hacking & Homebrew' started by Startropic1, Apr 20, 2017.

  1. Startropic1
    OP

    Startropic1 Advanced Member

    Newcomer
    99
    3
    May 1, 2013
    United States
    C-Island
    So currently Henkaku can only be installed on 3.60 , and a lot of Henkaku posts around the interwebs suggest it would take another 6 to 10 years to find another exploit for higher firmwares.....
    But then psvimgtools happened. A lot of these doom & gloom posts I've seen predate the advances brought forth by psvimgtools. So I have to ask, since mem cards are now fully decryptable thanks to psvimgtools, does this provide a potential new way to install CFW on newer FWs?
     
  2. YugiSenpai

    YugiSenpai GBAtemp Regular

    Member
    231
    56
    Jan 3, 2017
    Canada
    CFW isn't even on 3.60
     
  3. mummysboy

    mummysboy GBAtemp Regular

    Member
    108
    54
    May 21, 2009
    i think startropic means CFW as in custom framework like TaiHen.

    PSVIMGTOOLS is a way in - just another option available to devs should they need to use it (current method is via webkit)

    We already know a 3.63 User exploit is owned by team molecule (How else did they get 3.63 keys for spoofing). They may not be looking for kernel exploits but they are definatley still exploring the VITA.

    You may well find they are retaining their exploits for when VITA is no longer supported on PSN (the way of the psp for example) and then doing a FINAL hack. Hence the 6-7 years everyone speculates at.

    FW3.61/3.63 can run ARK if you have a buddy with a 3.60 VITA/PSTV. Thats just about your lot.

    Sorry to be the bearer of bad news buddy
     
  4. yifan_lu

    yifan_lu @yifanlu

    Member
    660
    1,376
    Apr 28, 2007
    United States
    lol no
     
    Zukov, Riyaz, SignZ and 3 others like this.
  5. britain4

    britain4 GBAtemp Regular

    Member
    226
    62
    Jun 16, 2014
    Sheffield
    With ARK you don't need another hacked Vita to install it so that's an option. Otherwise it's swap a lower FW board in, I thought that sounded prohibitively expensive/not worth doing until I heard they were selling <3.60 boards on AliExpress for cheap so check that out - got one on the way now :)
     
  6. MasterJ360

    MasterJ360 GBAtemp Fan

    Member
    358
    103
    Jan 10, 2016
    United States
    Henkaku is pretty much a cfw mode its just not active upon boot.
     
    dimmidice likes this.
  7. Abu_Senpai

    Abu_Senpai The Red King

    Member
    1,518
    779
    Jul 13, 2014
    United Kingdom
    Tokyo
    From what i have heard

    Since Team Molecule was able to re-activate PSN spoofing on 3.60 they must already now of a way to "hack" the firmware's 3.61 and 3.63 at the very least (dont now about 3.65). Why the haven't released henkaku for those versions is unknown to me but i have a few potential ideas as to perhaps why.

    All we can do is hope the vita scene grows and one day we get 3.61+ fws "hacked".
     
  8. yifan_lu

    yifan_lu @yifanlu

    Member
    660
    1,376
    Apr 28, 2007
    United States
    Stop spreading lies like the western media.
     
    Flame and Zukov like this.
  9. Abu_Senpai

    Abu_Senpai The Red King

    Member
    1,518
    779
    Jul 13, 2014
    United Kingdom
    Tokyo
    Im not lying. From what i "heard" is what i said.

    Never said i believed it. But i do have reasons as to why it could be true.

    i think i heard it on wololo or from somwhere else.

    Hey who nows for sure plus you hackers are always teasing remember "food" and how the scene got hungry for it?

    Just saying XP
     
  10. Zukov

    Zukov Dinosaur

    Member
    218
    53
    Oct 2, 2016
    Chile
    You need to take care of your words.
    The spoof isn't proof enough to say that molecule have a hacked version of the +3.60 firmware.
    Kid, get your shit toguether. To spoof 3.65, you only need to change the text, from 3.63 to 3.65. Do you believe they know the way to spoof 3.65 weeks before it was released? Nonsense.
     
  11. Abu_Senpai

    Abu_Senpai The Red King

    Member
    1,518
    779
    Jul 13, 2014
    United Kingdom
    Tokyo

    Get your facts straight Kid. I never mentioned 3.65 Honestly 0-0

    I wasn't talking about them being able to spoof either! I was talking about "hacking" the 3.61 and 3.63 in terms of getting henkaku to run on them
     
    Last edited by Abu_Senpai, Apr 26, 2017
  12. yifan_lu

    yifan_lu @yifanlu

    Member
    660
    1,376
    Apr 28, 2007
    United States
    I didn't say you were lying. I said you were spreading lies.

    "I heard from somewhere that Abu_Senpai will give $100 to anyone who asks. Don't remember where but that's what I've heard."

    See how annoying that is?
     
  13. SKGleba

    SKGleba O ja pierdole!

    Member
    279
    139
    Nov 11, 2016
    Poland
    Warsaw
    Dont think that it'll be called 'henkaku' / 'taihen'. [OT] And btw anything to do with PS4's 4.xx webkit exploit?(the older PS4 webkit exploit was slightly based on 3.60 wk exploit)
     
  14. Abu_Senpai

    Abu_Senpai The Red King

    Member
    1,518
    779
    Jul 13, 2014
    United Kingdom
    Tokyo

    Depends on what kinda person you are tbh. Anyways regardless here is hoping one day Taihen is a thing on higher ofws (Raises glass)
     
  15. ArugulaZ

    ArugulaZ GBAtemp Advanced Fan

    Member
    510
    120
    Sep 17, 2009
    United States
    Why would anyone even update their Vitae beyond 3.60? Do they have an obsessive need for visual novels or something?
     
  16. SuperDan

    SuperDan Im Aware ... Im Unaware

    Member
    818
    216
    Aug 17, 2016
    United States
    Londoner , Living In Louisiana ...
    short answer is NO ... long answer is NOOOOOOOOOOOOOOOOOOOOOOOO